Skip to content

# Interface: WizardProps

Renderer.Component.WizardProps

## Hierarchy

- `WizardCommonProps`

↳ WizardProps

## Table of contents

### Properties

- className
- data
- done
- header
- hideSteps
- onChange
- reset
- save
- step
- title

## Properties

### className

• `Optional` className: `string`

### data

• `Optional` data: `Partial`<any>

#### Inherited from

WizardCommonProps.data

### done

• `Optional` done: () => `void`

#### Type declaration

▸ (): `void`

##### Returns

`void`

#### Inherited from

WizardCommonProps.done

### header

• `Optional` header: `ReactNode`

### hideSteps

• `Optional` hideSteps: `boolean`

#### Inherited from

WizardCommonProps.hideSteps

### onChange

• `Optional` onChange: (`step`: `number`) => `void`

#### Type declaration

▸ (`step`): `void`

##### Parameters

Name | Type
--- | ---
`step` | `number`

##### Returns

`void`

### reset

• `Optional` reset: () => `void`

#### Type declaration

▸ (): `void`

##### Returns

`void`

#### Inherited from

WizardCommonProps.reset

### save

• `Optional` save: (`data`: `Partial`, `callback?`: () => `void`) => `void`

#### Type declaration

▸ (`data`, `callback?`): `void`

##### Parameters

Name | Type
--- | ---
`data` | `Partial`<any>
`callback?` | () => `void`

##### Returns

`void`

#### Inherited from

WizardCommonProps.save

### step

• `Optional` step: `number`

### title

• `Optional` title: `string`